using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Diagnostics;

namespace Examen
{
    public class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Введите начальную сумму для вклада: ");
            double per = Convert.ToDouble(Console.ReadLine());
            Reshenie.otvet(per);
            Console.WriteLine("Прошло месяцев: " + Reshenie.osnova(per) + ". Ответ записан в текстовый файл");
            Reshenie.Debugs("Результат выведен в консоль");
            Console.ReadKey();
            //Вывод числа в косоль и вывод дебага         
        }
    }
    public class Reshenie
    {
       
        public static string Debugs(string debug)// метод для записи дебагов в текстовый файл
        {
            TextWriterTraceListener[] listeners = new TextWriterTraceListener[]
                {
                        new TextWriterTraceListener(@"D:\Exam\Debugs.txt"),
                        new TextWriterTraceListener(Console.Out)
                };
            Debug.Listeners.AddRange(listeners);
            Debug.WriteLine(debug);
            Debug.Flush();
            return debug;
        }

        public static double glav(double a)// метод с основным вычислением
        {
            return Body.sum(Convert.ToDouble(a));
        }
        public static double otvet(double rez)// метод для записи ответа в файл
        {
            string[] line = new string[] { Convert.ToString(rez) };
            File.WriteAllLines(@"D:\Exam\Rez.txt", line);
            return rez;
        }
    }
}
